Skip to main content
GET
Query Accounting Data

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

from
string<date-time>

Filters documents starting from a specific date and time

to
string<date-time>

Filters documents up to a specific date and time

companyId
integer<int32>

Gets the unique identifier for the firm. Represents a key for identifying a firm within the application.

type
enum<integer>

Specifies the type of document. 0 = Invoice, 1 = Credit, 2 = Invoice correction, 3 = Invoice cancellation, 4 = credit cancellation, 5 = invoice correction cancellation 0 = Invoice, 1 = Credit, 2 = InvoiceCorrection, 3 = InvoiceCancellation, 4 = CreditCancellation, 5 = InvoiceCorrectionCancellation, 6 = Liquidation, 7 = LiquidationCancellation

Available options:
0,
1,
2,
3,
4,
5,
6,
7
exportCurrencyInDepartureCountry
boolean

If true, exports total sums in the currency of the departure country

pageNumber
integer<int32>

Number of the page of items to fetch.

pageSize
integer<int32>

Size of the page that is specified by pageNumber.

Response

Provides a detailed overview of all non-pending sales orders, including invoices, credits, invoice corrections, invoice cancellations, credit cancellations, and invoice correction cancellations, along with their associated line items

Represents a paginated list of items

TotalItems
integer<int32>
required

Gets or sets the total number of items available in the data source.

PageNumber
integer<int32>
required

Gets or sets the current page number in the paginated list.

PageSize
integer<int32>
required

Gets or sets the number of items per page in the paginated list.

Items
object[]
required

Gets or sets the collection of items contained in the paged list.

TotalPages
integer<int32>

Gets the total number of pages based on the total number of items and the page size.

HasPreviousPage
boolean

Gets a value indicating whether there is a previous page available in the paginated list.

HasNextPage
boolean

Gets a value indicating whether there is a next page available.

NextPageNumber
integer<int32>

Gets the number of the next page if there is one; otherwise, returns the total number of pages.

PreviousPageNumber
integer<int32>

Gets the number of the previous page. If there is no previous page, it returns 1.